summaryrefslogtreecommitdiffstats
path: root/source/d/Cython
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/Cython')
-rwxr-xr-xsource/d/Cython/Cython.SlackBuild37
-rw-r--r--source/d/Cython/Cython.url3
-rw-r--r--source/d/Cython/slack-desc4
3 files changed, 22 insertions, 22 deletions
diff --git a/source/d/Cython/Cython.SlackBuild b/source/d/Cython/Cython.SlackBuild
index 117160688..c3924c692 100755
--- a/source/d/Cython/Cython.SlackBuild
+++ b/source/d/Cython/Cython.SlackBuild
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for Cython
@@ -22,8 +22,10 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=Cython
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
if [ -z "$ARCH" ]; then
@@ -34,29 +36,22 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
-if [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
-else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
-fi
-
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
@@ -66,6 +61,12 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+python3 setup.py install --root=$PKG --prefix=/usr || exit 1
+
+for i in cython cythonize cygdb; do
+ mv $PKG/usr/bin/$i $PKG/usr/bin/${i}3
+done
+
python setup.py install --root=$PKG --prefix=/usr || exit 1
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
diff --git a/source/d/Cython/Cython.url b/source/d/Cython/Cython.url
index caf98d8b4..75c3b5f12 100644
--- a/source/d/Cython/Cython.url
+++ b/source/d/Cython/Cython.url
@@ -1,2 +1 @@
-http://www.cython.org
-http://cython.org/release/Cython-0.23.4.tar.gz
+http://pypi.python.org/pypi/Cython/
diff --git a/source/d/Cython/slack-desc b/source/d/Cython/slack-desc
index 6c8067332..2cf3b852b 100644
--- a/source/d/Cython/slack-desc
+++ b/source/d/Cython/slack-desc
@@ -2,14 +2,14 @@
# The "handy ruler" below makes it easier to edit a package description.
# Line up the first '|' above the ':' following the base package name, and
# the '|' on the right side marks the last column you can put a character in.
-# You must make exactly 11 lines for the formatting to be correct. It's also
+# You must make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
Cython: Cython (C bindings for Python)
Cython:
Cython: Cython is a language that makes writing C extensions for the Python
-Cython: language as easy as Python itself. Cython is based on the well-known
+Cython: language as easy as Python itself. Cython is based on the well-known
Cython: Pyrex, but supports more cutting edge functionality and optimizations.
Cython:
Cython: Homepage: http://www.cython.org/